# PSF-LoginServer - master - net.psforever.util.Md5Mac
PSF - LoginServer - master - net.psforever.util.Md5Mac
Keywords: PSF LoginServer master net.psforever.util.Md5Mac

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package util
  Definition Classes
    psforever
- AdminConfig
- AntiCheatConfig
- AppConfig
- Config
- Database
- DatabaseConfig
- DefinitionUtil
- DevelopmentConfig
- DiffieHellman
- GameConfig
- HartConfig
- KamonConfig
- LoginConfig
- Md5Mac
- MiddlewareConfig
- NetSimConfig
- NetworkConfig
- NewAvatar
- PointOfInterest
- SentryConfig
- SessionConfig
- WorldConfig

o

net.psforever.util

# Md5Mac 

###
Companion class Md5Mac

#### object Md5Mac

Source
  Md5Mac.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Md5Mac
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val BLOCKSIZE: Int
5.  val DIGESTSIZE: Int
6.  val KEYLENGTH: Int
7.  val MACLENGTH: Int
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  def verifyMac(mac1: ByteVector, mac2: ByteVector): Boolean

    Checks if two Message Authentication Codes are the same in constant time, preventing a timing attack for MAC forgery

    Checks if two Message Authentication Codes are the same in constant time, preventing a timing attack for MAC forgery

    mac1

      A MAC value

    mac2

      Another MAC value

22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped